<div  *ngIf="assetType" class="modal fade right" id="sidebar-right" tabindex="-1" role="dialog" style="overflow: auto">

    <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title ">Edit {{assetType}}</h4>

            </div>
            <div class="modal-body" >
                <div *ngIf="assetType==='Company'">
                    <app-company-asset-from [assetId]="assetId"></app-company-asset-from>
                </div>
                <div *ngIf="assetType==='Vehicle'">

                    <app-vechicle-asset-from  [assetId]="assetId" ></app-vechicle-asset-from>
                </div>
                <div *ngIf="assetType==='Lesser'">
                    <app-lesser-asset-from  [assetId]="assetId" ></app-lesser-asset-from>
                </div>

                <div *ngIf="assetType==='Driver'">
                    <app-driver-asset-from  [assetId]="assetId" ></app-driver-asset-from>

                </div>
            </div>
            <div>

            </div>
        </div>
    </div>
</div>

